/// <reference types="jest" />
/// <reference types="node" />
import { ExecException } from 'child_process';
declare global {
    interface Global {
        mockStdout: {
            write: jest.Mock;
        };
        mockChildProcess: {
            exec: jest.Mock;
            spawn: jest.Mock;
            stdout: string | ((command: string) => string);
            stderr: string | ((command: string) => string);
            error: ExecException | null | ((command: string) => ExecException | null);
            code: number | ((command: string) => number);
        };
    }
}
declare const global: Global;
export default global;
